public class FastPhilosopher implements Runnable {

	 public void think() {
		  System.out.println("Philosopher " + id + " is thinking about stuff.");
	 }

	 public void eat() {
		  System.out.println("Philosopher " + id + " is eating nice food!");
	 }
	 
	 public void run() {
		  while (true) {
				think();
				table.getForks(id);
				eat();
				table.putForks(id);
		  }
	 }

	 private final Table table;
	 private final int id;
	 FastPhilosopher(int id, Table table) {
		  this.id = id;
		  this.table = table;
	 }
}
